Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82132 - HTTP/1.1 response with Transfer-Encoding: identity malformed
Summary: HTTP/1.1 response with Transfer-Encoding: identity malformed
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: libghttp
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-17 22:16 UTC by Alfred Reibenschuh
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-07 23:03:02 UTC


Attachments (Terms of Use)
the original patch (deleted)
2006-08-07 20:55 UTC, Alfred Reibenschuh
no flags Details | Diff

Description Alfred Reibenschuh 2003-01-17 22:16:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.3a)
Gecko/20021207 Phoenix/0.5

Description of problem:
when querying a http/1.1 server, which responds
with "Transfer-Encoding: identity" without the
"Content-Length:" header, the library
fails to read the body of the request.


Version-Release number of selected component (if applicable): 1.0.9


How reproducible:
Always

Steps to Reproduce:
GET /OpenMap HTTP/1.1
Host: mapdb.srv.com


Actual Results:  
HTTP/1.1 200 OK
Map: default on port 54873
Date: Fri, 17 Jan 2003 21:51:30 GMT 
Server: Jetty/3.1.7 (AIX 4.3 ppc) 
Servlet-Engine: Jetty/3.1 (JSP 1.1; Servlet 2.2; java 1.3.1) 
Content-Type: text/xml 
Transfer-Encoding: identity

Expected Results:  
HTTP/1.1 200 OK
Map: default on port 54873
Date: Fri, 17 Jan 2003 21:51:30 GMT 
Server: Jetty/3.1.7 (AIX 4.3 ppc) 
Servlet-Engine: Jetty/3.1 (JSP 1.1; Servlet 2.2; java 1.3.1) 
Content-Type: text/xml 
Transfer-Encoding: identity

<?xml version="1.0" encoding="UTF-8"?>
<mapconnector>
<map-name>default</map-name>
<map-port>54873</map-port>
</mapconnector>

Additional info:

with my patch the response also includes the
xml document that is sent to the client.

according to Rfc2616(3.6.2+4.4) a Content-Length 
header is not presentif "Transfer-Encoding: identity"
is specified and such justifies this small patch. 

see: 
http://www.penguin.at0.net/~fredo/files/libghttp-1.0.9-transfer-identity.patch

Comment 1 Bill Nottingham 2006-08-07 18:59:21 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.

Comment 2 Alfred Reibenschuh 2006-08-07 20:55:00 UTC
Created attachment 133759 [details]
the original patch

Comment 3 Bill Nottingham 2006-08-07 23:03:02 UTC
I did some more investigation - we don't actually ship libghttp any more in the
FC devel tree; as such, I don't think we're going to respin prior versions for
this, and there's no next release to fix it for.

I went to file this upstream at gnome.org, and discovered that libghttp is
unmaintained upstream there as well; they aren't accepting new reports for it.
As such, closing WONTFIX.


Note You need to log in before you can comment on or make changes to this bug.